#include <gearlib.h>
#include <log.c/src/log.h>

bool gr_log_add_file(char* filename) {
    FILE* fd = fopen(filename, "w");
    if(fd == NULL) {
        log_error("Couldn't open file \"%s\"", filename);
        return false;
    }

    log_add_fp(fd, LOG_TRACE);
    log_info("Added file \"%s\" as logging file", filename);
    return true;
}
